Bug 1335107 - Paged results search returns the blank list of entries
Summary: Paged results search returns the blank list of entries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.2
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1331343
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 11:33 UTC by Marcel Kolaja
Modified: 2016-06-23 16:23 UTC (History)
7 users (show)

Fixed In Version: 389-ds-base-1.3.4.0-31.el7_2
Doc Type: Bug Fix
Doc Text:
Previously, when a simple paged results slot in a connection was discarded due to an error such as "SIZELIMIT_EXCEEDED", the discarded slot was not cleaned up properly. Subsequent searches which reused this slot then returned 0 instead of the actual search result. With this update, discarded simple paged results slots are cleaned up correctly, and searches return correct results even with reused slots.
Clone Of: 1331343
Environment:
Last Closed: 2016-06-23 16:23:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1298 0 normal SHIPPED_LIVE 389-ds-base bug fix update 2016-06-23 20:14:06 UTC

Description Marcel Kolaja 2016-05-11 11:33:45 UTC
This bug has been copied from bug #1331343 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 6 Simon Pichugin 2016-05-13 08:38:25 UTC
Build tested:
389-ds-base-1.3.4.0-31.el7_2.x86_64

============================ test session starts ============================
platform linux2 -- Python 2.7.5 -- py-1.4.27 -- pytest-2.7.0 -- /usr/bin/python
rootdir: /tmp/ds/dirsrvtests/tests/tickets, inifile: 
collected 1 items 

dirsrvtests/tests/tickets/ticket48808_test.py::test_ticket48808 PASSED

========================= 1 passed in 34.21 seconds =========================

Marking as verified.

Comment 8 errata-xmlrpc 2016-06-23 16:23:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1298


Note You need to log in before you can comment on or make changes to this bug.